aboutsummaryrefslogtreecommitdiffstats
path: root/Lisp/asdf/debian/cl-cclan.prerm
diff options
context:
space:
mode:
Diffstat (limited to 'Lisp/asdf/debian/cl-cclan.prerm')
-rw-r--r--Lisp/asdf/debian/cl-cclan.prerm36
1 files changed, 36 insertions, 0 deletions
diff --git a/Lisp/asdf/debian/cl-cclan.prerm b/Lisp/asdf/debian/cl-cclan.prerm
new file mode 100644
index 0000000..d8cda90
--- /dev/null
+++ b/Lisp/asdf/debian/cl-cclan.prerm
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+set -e
+
+pkg=cclan
+
+# summary of how this script can be called:
+# * <prerm> `remove'
+# * <old-prerm> `upgrade' <new-version>
+# * <new-prerm> `failed-upgrade' <old-version>
+# * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+# * <deconfigured's-prerm> `deconfigure' `in-favour'
+# <package-being-installed> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ remove|upgrade|deconfigure)
+ /usr/sbin/unregister-common-lisp-source $pkg
+ ;;
+ failed-upgrade)
+ ;;
+ *)
+ echo "prerm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+
+#DEBHELPER#
+
+exit 0
+
+